%global momorel 1
Name:           gnome-logs
Version: 3.30.0
Release: %{momorel}m%{?dist}
Summary:        Log viewer for the systemd journal

Group:          Applications/System
License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Logs
Source0: https://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires:  desktop-file-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  libxslt
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  appstream
Requires:       gsettings-desktop-schemas

%description
A log viewer for the systemd journal.

%prep
%setup -q


%build
%configure
make V=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" install
%find_lang %{name} --with-gnome


%check
make check


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS
%{_bindir}/%{name}
#%%{_datadir}/appdata/org.gnome.Logs.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Logs.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Logs.gschema.xml
%{_datadir}/applications/org.gnome.Logs.desktop
%{_datadir}/dbus-1/services/org.gnome.Logs.service
%{_datadir}/icons/hicolor/*/apps/gnome-logs.*
%{_datadir}/icons/hicolor/*/apps/gnome-logs-symbolic*
%{_datadir}/metainfo/org.gnome.Logs.appdata.xml
%{_mandir}/man1/gnome-logs.1*
%{_datadir}/help/*/gnome-logs

%changelog
* Tue Sep 04 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.29.4-1m)
- update 3.29.4

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.1-1m)
- update 3.24.1

* Tue Mar 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.91-1m)
- revert to 3.23.91

* Sun Nov 30 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- revert to 3.14.2

* Wed Nov 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.15.2-1m)
- update to 3.15.2

* Mon Nov  3 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.15.1-1m)
- update 3.15.1

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-2m)
- update

* Mon Jun 02 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.2-1m)
- import from fedora

